Subject: Re: HOTO start with linux 2.6.* and ML403

From: Mirek23 <[email-masked]>
Date: Fri, 13 Apr 2007 06:53:07 -0700 (PDT)

I was able finally to build the kernel 2.6.19 by Denx. The problem was that I
have previously used crosstool with gcc-3.2. At the end I was able to
compile the kernel with crosstool gcc-4.0.2.

I have compared the xparameters_ml403.h file which comes with the kernel and
this one generated by EDK. They are very different. Thera are different
macro definitions.

In the Kernel xparameters_ml403.h I did not find any reference to the
XILINX_TEMAC network interface. I did not find references to GPIO LEDS and
end swiches. Many other definitions do not much.

What would be than the best way to go:

1. To incoroprate to the linux 2.6.19, drivers generated by the EDK
or
2. to somhow make use of the existing drivers which come with linux 2.6.19

Best Regards

Mirek

Andrei Konovalov wrote:
> 
> Mohammad Sadegh Sadri wrote:
> <snip>
>> from all of the files generated there you will need just xparameters.h
>> and xparameters_ml403.h and nothing more
>> if using mvista source, you will not even need these two files the files
>> available in the source are ok themselves
> 
> - they are OK if you use ML403 and the EDK reference design for this
> board.
>    For custom FPGA configuration you should use the EDK generated
> xparameters_ml403.h (if you
>    use EDK to build the bitstream).
> 
> Thanks,
> Andrei
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/HOTO-start-with-linux-2.6.*-and-ML403-tf3559287.html#a9979404
Sent from the linuxppc-embedded mailing list archive at Nabble.com.